RUBBER-INFO(1)

NAME
rubber-info - extract information from LaTeX documents

SYNOPSIS
rubber-info [options] [action] source

DESCRIPTION
Rubber-info is a utility for extracting various kinds of information from a LaTeX document. Information can be extracted from the source (for instance when calculating dependencies) or from the compilation log files (to extract errors and warnings). This program is a complement for the compilation system rubber(1).

The command-line options are those used by rubber(1) plus one of the actions described below.

ACTIONS
One of the following command-line options must be specified, to decide which information to extract. Of course, for actions that read a log file, a compilation must have been done before. If none of these actions is specified, --check is assumed.

--boxes
    Extracts from the log file the places in the source where bad boxes appeared (these are the famous overfull and underfull \hbox and \vbox)

--check
    Report errors if there are any, otherwise report undefined references if there are any, otherwise list warnings and bad boxes. This is the default action.

--deps
    Analyse the source files and produce a space-separated list of all the files that the document depends on and that Rubber cannot rebuild.

--errors
    Extract from the log file the list of errors that occured during the last compilation.

-h, --help
    Display the list of all available options and exit nicely.

--refs
    Report the list of undefined or multiply defined references (i.e. the \ref's that are not defined by one \label).

--rules
    Analyse the source files and produce a list of dependency rules. One rule is produced for each intermediate target that would be made when running rubber. Rules are formatted in the style of Makefiles.

--version
    Print the version number and exit nicely.

--warnings
    Stupidly enumerate all LaTeX warnings, i.e. all the lines in the log file that contain the string "Warning".

BUGS
There are surely a some...

This page documents Rubber version 1.1. The program and this man-page are maintained by Emmanuel Beffara <manu@beffara.org>. The homepage for Rubber can be found at http://www.pps.jussieu.fr/~beffara/soft/rubber/.

SEE ALSO
The full documentation for rubber is maintained as a Texinfo manual. If the info and rubber programs are properly installed at your site, the command

    info rubber

should give you access to the complete manual.